2 # Generated by configure.
3 # Run this file to recreate the current configuration.
4 # Compiler output produced by configure, useful for debugging
5 # configure, is in config.log if it exists.
8 SHELL
=${CONFIG_SHELL-/bin/sh}
10 ## --------------------- ##
11 ## M4sh Initialization. ##
12 ## --------------------- ##
14 # Be Bourne compatible
15 if test -n "${ZSH_VERSION+set}" && (emulate sh
) >/dev
/null
2>&1; then
18 elif test -n "${BASH_VERSION+set}" && (set -o posix
) >/dev
/null
2>&1; then
23 # Support unset when possible.
24 if (FOO
=FOO
; unset FOO
) >/dev
/null
2>&1; then
30 (set +x
; test -n "`(LANG=C; export LANG) 2>&1`") &&
31 { $as_unset LANG ||
test "${LANG+set}" != set; } ||
32 { LANG
=C
; export LANG
; }
33 (set +x
; test -n "`(LC_ALL=C; export LC_ALL) 2>&1`") &&
34 { $as_unset LC_ALL ||
test "${LC_ALL+set}" != set; } ||
35 { LC_ALL
=C
; export LC_ALL
; }
36 (set +x
; test -n "`(LC_TIME=C; export LC_TIME) 2>&1`") &&
37 { $as_unset LC_TIME ||
test "${LC_TIME+set}" != set; } ||
38 { LC_TIME
=C
; export LC_TIME
; }
39 (set +x
; test -n "`(LC_CTYPE=C; export LC_CTYPE) 2>&1`") &&
40 { $as_unset LC_CTYPE ||
test "${LC_CTYPE+set}" != set; } ||
41 { LC_CTYPE
=C
; export LC_CTYPE
; }
42 (set +x
; test -n "`(LANGUAGE=C; export LANGUAGE) 2>&1`") &&
43 { $as_unset LANGUAGE ||
test "${LANGUAGE+set}" != set; } ||
44 { LANGUAGE
=C
; export LANGUAGE
; }
45 (set +x
; test -n "`(LC_COLLATE=C; export LC_COLLATE) 2>&1`") &&
46 { $as_unset LC_COLLATE ||
test "${LC_COLLATE+set}" != set; } ||
47 { LC_COLLATE
=C
; export LC_COLLATE
; }
48 (set +x
; test -n "`(LC_NUMERIC=C; export LC_NUMERIC) 2>&1`") &&
49 { $as_unset LC_NUMERIC ||
test "${LC_NUMERIC+set}" != set; } ||
50 { LC_NUMERIC
=C
; export LC_NUMERIC
; }
51 (set +x
; test -n "`(LC_MESSAGES=C; export LC_MESSAGES) 2>&1`") &&
52 { $as_unset LC_MESSAGES ||
test "${LC_MESSAGES+set}" != set; } ||
53 { LC_MESSAGES
=C
; export LC_MESSAGES
; }
56 # Name of the executable.
57 as_me
=`(basename "$0") 2>/dev/null ||
58 $as_expr X/"$0" : '.*/\([^/][^/]*\)/*$' \| \
59 X"$0" : 'X\(//\)$' \| \
60 X"$0" : 'X\(/\)$' \| \
61 . : '\(.\)' 2>/dev/null ||
63 sed '/^.*\/\([^/][^/]*\)\/*$/{ s//\1/; q; }
64 /^X\/\(\/\/\)$/{ s//\1/; q; }
65 /^X\/\(\/\).*/{ s//\1/; q; }
68 # PATH needs CR, and LINENO needs CR and PATH.
69 # Avoid depending upon Character Ranges.
70 as_cr_letters
='abcdefghijklmnopqrstuvwxyz'
71 as_cr_LETTERS
='ABCDEFGHIJKLMNOPQRSTUVWXYZ'
72 as_cr_Letters
=$as_cr_letters$as_cr_LETTERS
73 as_cr_digits
='0123456789'
74 as_cr_alnum
=$as_cr_Letters$as_cr_digits
76 # The user is always right.
77 if test "${PATH_SEPARATOR+set}" != set; then
78 echo "#! /bin/sh" >conftest.sh
79 echo "exit 0" >>conftest.sh
81 if (PATH
=".;."; conftest.sh
) >/dev
/null
2>&1; then
92 as_lineno_3
=`(expr $as_lineno_1 + 1) 2>/dev/null`
93 test "x$as_lineno_1" != "x$as_lineno_2" &&
94 test "x$as_lineno_3" = "x$as_lineno_2" ||
{
95 # Find who we are. Look in the path if we contain no path at all
98 *[\\/]* ) as_myself
=$0 ;;
99 *) as_save_IFS
=$IFS; IFS
=$PATH_SEPARATOR
103 test -z "$as_dir" && as_dir
=.
104 test -r "$as_dir/$0" && as_myself
=$as_dir/$0 && break
109 # We did not find ourselves, most probably we were run as `sh COMMAND'
110 # in which case we are not to be found in the path.
111 if test "x$as_myself" = x
; then
114 if test ! -f "$as_myself"; then
115 { { echo "$as_me:$LINENO: error: cannot find myself; rerun with an absolute path" >&5
116 echo "$as_me: error: cannot find myself; rerun with an absolute path" >&2;}
117 { (exit 1); exit 1; }; }
119 case $CONFIG_SHELL in
121 as_save_IFS
=$IFS; IFS
=$PATH_SEPARATOR
122 for as_dir
in /bin
$PATH_SEPARATOR/usr
/bin
$PATH_SEPARATOR$PATH
125 test -z "$as_dir" && as_dir
=.
126 for as_base
in sh bash ksh sh5
; do
129 if ("$as_dir/$as_base" -c '
132 as_lineno_3=`(expr $as_lineno_1 + 1) 2>/dev/null`
133 test "x$as_lineno_1" != "x$as_lineno_2" &&
134 test "x$as_lineno_3" = "x$as_lineno_2" ') 2>/dev
/null
; then
135 CONFIG_SHELL
=$as_dir/$as_base
137 exec "$CONFIG_SHELL" "$0" ${1+"$@"}
145 # Create $as_me.lineno as a copy of $as_myself, but with $LINENO
146 # uniformly replaced by the line number. The first 'sed' inserts a
147 # line-number line before each line; the second 'sed' does the real
148 # work. The second script uses 'N' to pair each line-number line
149 # with the numbered line, and appends trailing '-' during
150 # substitution so that $LINENO is not a special case at line end.
151 # (Raja R Harinath suggested sed '=', and Paul Eggert wrote the
152 # second 'sed' script. Blame Lee E. McMahon for sed's syntax. :-)
153 sed '=' <$as_myself |
158 s,^\(['$as_cr_digits']*\)\(.*\)[$]LINENO\([^'$as_cr_alnum'_]\),\1\2\1\3,
161 s,^['$as_cr_digits']*\n,,
163 chmod +x
$as_me.lineno ||
164 { { echo "$as_me:$LINENO: error: cannot create $as_me.lineno; rerun with a POSIX shell" >&5
165 echo "$as_me: error: cannot create $as_me.lineno; rerun with a POSIX shell" >&2;}
166 { (exit 1); exit 1; }; }
168 # Don't try to exec as it changes $[0], causing all sort of problems
169 # (the dirname of $[0] is not the place where we might find the
170 # original and so on. Autoconf is especially sensible to this).
172 # Exit status is that of the last command.
177 case `echo "testing\c"; echo 1,2,3`,`echo -n testing; echo 1,2,3` in
178 *c
*,-n*) ECHO_N
= ECHO_C
='
180 *c
*,* ) ECHO_N
=-n ECHO_C
= ECHO_T
= ;;
181 *) ECHO_N
= ECHO_C
='\c' ECHO_T
= ;;
184 if expr a
: '\(a\)' >/dev
/null
2>&1; then
190 rm -f conf$$ conf$$.exe conf$$.
file
192 if ln -s conf$$.
file conf$$
2>/dev
/null
; then
193 # We could just check for DJGPP; but this test a) works b) is more generic
194 # and c) will remain valid once DJGPP supports symlinks (DJGPP 2.04).
195 if test -f conf$$.exe
; then
196 # Don't use ln at all; we don't have any links
201 elif ln conf$$.
file conf$$
2>/dev
/null
; then
206 rm -f conf$$ conf$$.exe conf$$.
file
208 as_executable_p
="test -f"
210 # Sed expression to map a string onto a valid CPP name.
211 as_tr_cpp
="sed y%*$as_cr_letters%P$as_cr_LETTERS%;s%[^_$as_cr_alnum]%_%g"
213 # Sed expression to map a string onto a valid variable name.
214 as_tr_sh
="sed y%*+%pp%;s%[^_$as_cr_alnum]%_%g"
218 # We need space, tab and new line, in precisely that order.
224 $as_unset CDPATH ||
test "${CDPATH+set}" != set ||
{ CDPATH
=$PATH_SEPARATOR; export CDPATH
; }
228 # Open the log real soon, to keep \$[0] and so on meaningful, and to
229 # report actual input values of CONFIG_FILES etc. instead of their
230 # values after options handling. Logging --version etc. is OK.
234 sed 'h;s/./-/g;s/^.../## /;s/...$/ ##/;p;x;p;x' <<_ASBOX
235 ## Running $as_me. ##
240 This file was extended by $as_me, which was
241 generated by GNU Autoconf 2.53. Invocation command line was
243 CONFIG_FILES = $CONFIG_FILES
244 CONFIG_HEADERS = $CONFIG_HEADERS
245 CONFIG_LINKS = $CONFIG_LINKS
246 CONFIG_COMMANDS = $CONFIG_COMMANDS
250 echo "on `(hostname || uname -n) 2>/dev/null | sed 1q`" >&5
252 config_files
=" Makefile src/Makefile pixmaps/Makefile po/Makefile.in"
253 config_headers
=" config.h"
254 config_commands
=" default-1 default-2"
257 \`$as_me' instantiates files from templates according to the
258 current configuration.
260 Usage: $0 [OPTIONS] [FILE]...
262 -h, --help print this help, then exit
263 -V, --version print version number, then exit
264 -d, --debug don't remove temporary files
265 --recheck update $as_me by reconfiguring in the same conditions
266 --file=FILE[:TEMPLATE]
267 instantiate the configuration file FILE
268 --header=FILE[:TEMPLATE]
269 instantiate the configuration header FILE
274 Configuration headers:
277 Configuration commands:
280 Report bugs to <bug-autoconf@gnu.org>."
283 configured by ./configure, generated by GNU Autoconf 2.53,
286 Copyright 1992, 1993, 1994, 1995, 1996, 1998, 1999, 2000, 2001
287 Free Software Foundation, Inc.
288 This config.status script is free software; the Free Software Foundation
289 gives unlimited permission to copy, distribute and modify it."
291 INSTALL
="/usr/bin/install -c"
292 # If no file are specified by the user, then we need to provide default
293 # value. By we need to know if files were specified by the user.
299 ac_option
=`expr "x$1" : 'x\([^=]*\)='`
300 ac_optarg
=`expr "x$1" : 'x[^=]*=\(.*\)'`
302 set dummy
"$ac_option" "$ac_optarg" ${1+"$@"}
306 *) # This is not an option, so the user has probably given explicit
308 ac_need_defaults
=false
;;
312 # Handling of the options.
313 -recheck |
--recheck |
--rechec |
--reche |
--rech |
--rec |
--re |
--r)
314 echo "running /bin/sh ./configure " " --no-create --no-recursion"
315 exec /bin
/sh .
/configure
--no-create --no-recursion ;;
316 --version |
--vers* |
-V )
317 echo "$ac_cs_version"; exit 0 ;;
319 # Conflict between --help and --header
320 { { echo "$as_me:$LINENO: error: ambiguous option: $1
321 Try \`$0 --help' for more information." >&5
322 echo "$as_me: error: ambiguous option: $1
323 Try \`$0 --help' for more information." >&2;}
324 { (exit 1); exit 1; }; };;
325 --help |
--hel |
-h )
326 echo "$ac_cs_usage"; exit 0 ;;
327 --debug |
--d* |
-d )
329 --file |
--fil |
--fi |
--f )
331 CONFIG_FILES
="$CONFIG_FILES $1"
332 ac_need_defaults
=false
;;
333 --header |
--heade |
--head |
--hea )
335 CONFIG_HEADERS
="$CONFIG_HEADERS $1"
336 ac_need_defaults
=false
;;
339 -*) { { echo "$as_me:$LINENO: error: unrecognized option: $1
340 Try \`$0 --help' for more information." >&5
341 echo "$as_me: error: unrecognized option: $1
342 Try \`$0 --help' for more information." >&2;}
343 { (exit 1); exit 1; }; } ;;
345 *) ac_config_targets
="$ac_config_targets $1" ;;
352 # INIT-COMMANDS section.
358 for ac_config_target
in $ac_config_targets
360 case "$ac_config_target" in
361 # Handling of arguments.
362 "Makefile" ) CONFIG_FILES
="$CONFIG_FILES Makefile" ;;
363 "src/Makefile" ) CONFIG_FILES
="$CONFIG_FILES src/Makefile" ;;
364 "pixmaps/Makefile" ) CONFIG_FILES
="$CONFIG_FILES pixmaps/Makefile" ;;
365 "po/Makefile.in" ) CONFIG_FILES
="$CONFIG_FILES po/Makefile.in" ;;
366 "default-1" ) CONFIG_COMMANDS
="$CONFIG_COMMANDS default-1" ;;
367 "default-2" ) CONFIG_COMMANDS
="$CONFIG_COMMANDS default-2" ;;
368 "config.h" ) CONFIG_HEADERS
="$CONFIG_HEADERS config.h" ;;
369 *) { { echo "$as_me:$LINENO: error: invalid argument: $ac_config_target" >&5
370 echo "$as_me: error: invalid argument: $ac_config_target" >&2;}
371 { (exit 1); exit 1; }; };;
375 # If the user did not use the arguments to specify the items to instantiate,
376 # then the envvar interface is used. Set only those that are not.
377 # We use the long form for the default assignment because of an extremely
378 # bizarre bug on SunOS 4.1.3.
379 if $ac_need_defaults; then
380 test "${CONFIG_FILES+set}" = set || CONFIG_FILES
=$config_files
381 test "${CONFIG_HEADERS+set}" = set || CONFIG_HEADERS
=$config_headers
382 test "${CONFIG_COMMANDS+set}" = set || CONFIG_COMMANDS
=$config_commands
385 # Create a temporary directory, and hook for its removal unless debugging.
388 trap 'exit_status=$?; rm -rf $tmp && exit $exit_status' 0
389 trap '{ (exit 1); exit 1; }' 1 2 13 15
392 # Create a (secure) tmp directory for tmp files.
395 tmp
=`(umask 077 && mktemp -d -q "$TMPDIR/csXXXXXX") 2>/dev/null` &&
396 test -n "$tmp" && test -d "$tmp"
399 tmp
=$TMPDIR/cs$$
-$RANDOM
400 (umask 077 && mkdir
$tmp)
403 echo "$me: cannot create a temporary directory in $TMPDIR" >&2
404 { (exit 1); exit 1; }
409 # CONFIG_FILES section.
412 # No need to generate the scripts if there are no CONFIG_FILES.
413 # This happens for instance when ./config.status config.h
414 if test -n "$CONFIG_FILES"; then
415 # Protect against being on the right side of a sed subst in config.status.
416 sed 's/,@/@@/; s/@,/@@/; s/,;t t$/@;t t/; /@;t t$/s/[\\&,]/\\&/g;
417 s/@@/,@/; s/@@/@,/; s/@;t t$/,;t t/' >$tmp/subs.
sed <<\CEOF
418 s
,@SHELL@
,/bin
/sh
,;t t
419 s
,@PATH_SEPARATOR@
,:,;t t
420 s
,@PACKAGE_NAME@
,,;t t
421 s
,@PACKAGE_TARNAME@
,,;t t
422 s
,@PACKAGE_VERSION@
,,;t t
423 s
,@PACKAGE_STRING@
,,;t t
424 s
,@PACKAGE_BUGREPORT@
,,;t t
425 s
,@exec_prefix@
,${prefix},;t t
426 s
,@prefix@
,/usr
/local,;t t
427 s
,@program_transform_name@
,s
,x
,x
,,;t t
428 s
,@bindir@
,${exec_prefix}/bin
,;t t
429 s
,@sbindir@
,${exec_prefix}/sbin
,;t t
430 s
,@libexecdir@
,${exec_prefix}/libexec
,;t t
431 s
,@datadir@
,${prefix}/share
,;t t
432 s
,@sysconfdir@
,${prefix}/etc
,;t t
433 s
,@sharedstatedir@
,${prefix}/com
,;t t
434 s
,@localstatedir@
,${prefix}/var
,;t t
435 s
,@libdir@
,${exec_prefix}/lib
,;t t
436 s
,@includedir@
,${prefix}/include
,;t t
437 s
,@oldincludedir@
,/usr
/include
,;t t
438 s
,@infodir@
,${prefix}/info
,;t t
439 s
,@mandir@
,${prefix}/man
,;t t
440 s
,@build_alias@
,,;t t
442 s
,@target_alias@
,,;t t
443 s
,@DEFS@
,-DHAVE_CONFIG_H,;t t
448 s
,@INSTALL_PROGRAM@
,${INSTALL},;t t
449 s
,@INSTALL_SCRIPT@
,${INSTALL},;t t
450 s
,@INSTALL_DATA@
,${INSTALL} -m 644,;t t
451 s
,@PACKAGE@
,gamazons
,;t t
452 s
,@VERSION@
,0.83rc3
,;t t
453 s
,@ACLOCAL@
,aclocal-1.4
,;t t
454 s
,@AUTOCONF@
,autoconf
,;t t
455 s
,@AUTOMAKE@
,automake-1.4
,;t t
456 s
,@AUTOHEADER@
,autoheader
,;t t
457 s
,@MAKEINFO@
,makeinfo
,;t t
459 s
,@MAINTAINER_MODE_TRUE@
,#,;t t
460 s
,@MAINTAINER_MODE_FALSE@
,,;t t
463 s
,@CFLAGS@
,-g -O2,;t t
466 s
,@ac_ct_CC@
,gcc
,;t t
470 s
,@PKG_CONFIG@
,/usr
/bin
/pkg-config
,;t t
471 s
,@PACKAGE_CFLAGS@
, -I/usr
/include
/libgnomeui-2.0
-I/usr
/include
/libgnome-2.0
-I/usr
/include
/libgnomecanvas-2.0
-I/usr
/include
/gtk-2.0
-I/usr
/include
/libart-2.0
-I/usr
/include
/gconf
/2 -I/usr
/include
/libbonoboui-2.0
-I/usr
/include
/glib-2.0
-I/usr
/lib
/glib-2.0
/include
-I/usr
/include
/orbit-2.0
-I/usr
/include
/libbonobo-2.0
-I/usr
/include
/gnome-vfs-2.0
-I/usr
/lib
/gnome-vfs-2.0
/include
-I/usr
/include
/linc-1.0
-I/usr
/include
/bonobo-activation-2.0
-I/usr
/include
/libxml2
-I/usr
/include
/pango-1.0
-I/usr
/include
/freetype2
-I/usr
/lib
/gtk-2.0
/include
-I/usr
/include
/atk-1.0
-I/usr
/include
/Xft2
-I/usr
/X11R
6/include
,;t t
472 s
,@PACKAGE_LIBS@
, -L/usr
/X11R
6/lib
-lgnomeui-2 -lSM -lICE -lbonoboui-2 -lgnomecanvas-2 -lgnome-2 -lart_lgpl_2 -lpangoft2-1.0
-lgtk-x11-2.0
-lgdk-x11-2.0
-latk-1.0
-lgdk_pixbuf-2.0
-lpangoxft-1.0
-lpangox-1.0
-lpango-1.0
-lbonobo-2 -lgconf-2 -lgnomevfs-2 -lbonobo-activation -lORBit-2 -lxml2 -lz -lm -llinc -lgmodule-2.0
-ldl -lgobject-2.0
-lgthread-2.0
-lpthread -lglib-2.0
,;t t
473 s
,@GETTEXT_PACKAGE@
,gamazons
,;t t
474 s
,@RANLIB@
,ranlib
,;t t
475 s
,@ac_ct_RANLIB@
,ranlib
,;t t
478 s
,@MSGFMT@
,/usr
/bin
/msgfmt
,;t t
479 s
,@GMSGFMT@
,/usr
/bin
/msgfmt
,;t t
480 s
,@XGETTEXT@
,/usr
/bin
/xgettext
,;t t
482 s
,@CATOBJEXT@
,.gmo
,;t t
483 s
,@DATADIRNAME@
,share
,;t t
485 s
,@INSTOBJEXT@
,.mo
,;t t
491 s
,@MKINSTALLDIRS@
,.
/mkinstalldirs
,;t t
494 # Split the substitutions into bite-sized pieces for seds with
495 # small command number limits, like on Digital OSF/1 and HP-UX.
497 ac_sed_frag
=1 # Number of current file.
498 ac_beg
=1 # First line for current file.
499 ac_end
=$ac_max_sed_lines # Line after last line for current file.
502 while $ac_more_lines; do
503 if test $ac_beg -gt 1; then
504 sed "1,${ac_beg}d; ${ac_end}q" $tmp/subs.
sed >$tmp/subs.frag
506 sed "${ac_end}q" $tmp/subs.
sed >$tmp/subs.frag
508 if test ! -s $tmp/subs.frag
; then
511 # The purpose of the label and of the branching condition is to
512 # speed up the sed processing (if there are no `@' at all, there
513 # is no need to browse any of the substitutions).
514 # These are the two extra sed commands mentioned above.
516 /@[a-zA-Z_][a-zA-Z_0-9]*@/!b' && cat $tmp/subs.frag
) >$tmp/subs-
$ac_sed_frag.
sed
517 if test -z "$ac_sed_cmds"; then
518 ac_sed_cmds
="sed -f $tmp/subs-$ac_sed_frag.sed"
520 ac_sed_cmds
="$ac_sed_cmds | sed -f $tmp/subs-$ac_sed_frag.sed"
522 ac_sed_frag
=`expr $ac_sed_frag + 1`
524 ac_end
=`expr $ac_end + $ac_max_sed_lines`
527 if test -z "$ac_sed_cmds"; then
530 fi # test -n "$CONFIG_FILES"
532 for ac_file
in : $CONFIG_FILES; do test "x$ac_file" = x
: && continue
533 # Support "outfile[:infile[:infile...]]", defaulting infile="outfile.in".
535 - |
*:- |
*:-:* ) # input from stdin
537 ac_file_in
=`echo "$ac_file" | sed 's,[^:]*:,,'`
538 ac_file
=`echo "$ac_file" | sed 's,:.*,,'` ;;
539 *:* ) ac_file_in
=`echo "$ac_file" | sed 's,[^:]*:,,'`
540 ac_file
=`echo "$ac_file" | sed 's,:.*,,'` ;;
541 * ) ac_file_in
=$ac_file.
in ;;
544 # Compute @srcdir@, @top_srcdir@, and @INSTALL@ for subdirectories.
545 ac_dir
=`(dirname "$ac_file") 2>/dev/null ||
546 $as_expr X"$ac_file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
547 X"$ac_file" : 'X\(//\)[^/]' \| \
548 X"$ac_file" : 'X\(//\)$' \| \
549 X"$ac_file" : 'X\(/\)' \| \
550 . : '\(.\)' 2>/dev/null ||
552 sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
553 /^X\(\/\/\)[^/].*/{ s//\1/; q; }
554 /^X\(\/\/\)$/{ s//\1/; q; }
555 /^X\(\/\).*/{ s//\1/; q; }
558 [\\/]* | ?
:[\\/]* ) as_incr_dir
=;;
562 for as_mkdir_dir
in `IFS='/\\'; set X $as_dummy; shift; echo "$@"`; do
563 case $as_mkdir_dir in
565 ?
:) as_incr_dir
=$as_mkdir_dir ;;
567 as_incr_dir
=$as_incr_dir/$as_mkdir_dir
568 test -d "$as_incr_dir" ||
569 mkdir
"$as_incr_dir" ||
570 { { echo "$as_me:$LINENO: error: cannot create \"$ac_dir\"" >&5
571 echo "$as_me: error: cannot create \"$ac_dir\"" >&2;}
572 { (exit 1); exit 1; }; }
579 if test "$ac_dir" != .
; then
580 ac_dir_suffix
=/`echo "$ac_dir" | sed 's,^\.[\\/],,'`
581 # A "../" for each directory in $ac_dir_suffix.
582 ac_top_builddir
=`echo "$ac_dir_suffix" | sed 's,/[^\\/]*,../,g'`
584 ac_dir_suffix
= ac_top_builddir
=
588 .
) # No --srcdir option. We are building in place.
590 if test -z "$ac_top_builddir"; then
593 ac_top_srcdir
=`echo $ac_top_builddir | sed 's,/$,,'`
595 [\\/]* | ?
:[\\/]* ) # Absolute path.
596 ac_srcdir
=$srcdir$ac_dir_suffix;
597 ac_top_srcdir
=$srcdir ;;
599 ac_srcdir
=$ac_top_builddir$srcdir$ac_dir_suffix
600 ac_top_srcdir
=$ac_top_builddir$srcdir ;;
602 # Don't blindly perform a `cd "$ac_dir"/$ac_foo && pwd` since $ac_foo can be
604 ac_abs_builddir
=`cd "$ac_dir" && cd $ac_builddir && pwd`
605 ac_abs_top_builddir
=`cd "$ac_dir" && cd $ac_top_builddir && pwd`
606 ac_abs_srcdir
=`cd "$ac_dir" && cd $ac_srcdir && pwd`
607 ac_abs_top_srcdir
=`cd "$ac_dir" && cd $ac_top_srcdir && pwd`
611 [\\/$
]* | ?
:[\\/]* ) ac_INSTALL
=$INSTALL ;;
612 *) ac_INSTALL
=$ac_top_builddir$INSTALL ;;
615 if test x
"$ac_file" != x-
; then
616 { echo "$as_me:$LINENO: creating $ac_file" >&5
617 echo "$as_me: creating $ac_file" >&6;}
620 # Let's still pretend it is `configure' which instantiates (i.e., don't
621 # use $as_me), people would be surprised to read:
622 # /* config.h. Generated by config.status. */
623 if test x
"$ac_file" = x-
; then
626 configure_input
="$ac_file. "
628 configure_input
=$configure_input"Generated from `echo $ac_file_in |
629 sed 's,.*/,,'` by configure."
631 # First look for the input files in the build tree, otherwise in the
633 ac_file_inputs
=`IFS=:
634 for f in $ac_file_in; do
636 -) echo $tmp/stdin ;;
638 # Absolute (can't be DOS-style, as IFS=:)
639 test -f "$f" || { { echo "$as_me:$LINENO: error: cannot find input file: $f" >&5
640 echo "$as_me: error: cannot find input file: $f" >&2;}
641 { (exit 1); exit 1; }; }
644 if test -f "$f"; then
647 elif test -f "$srcdir/$f"; then
652 { { echo "$as_me:$LINENO: error: cannot find input file: $f" >&5
653 echo "$as_me: error: cannot find input file: $f" >&2;}
654 { (exit 1); exit 1; }; }
657 done` ||
{ (exit 1); exit 1; }
658 sed "/^[ ]*VPATH[ ]*=/{
662 s/^\([^=]*=[ ]*\):*/\1/;
668 /@[a-zA-Z_][a-zA-Z_0-9]*@/!b
669 s,@configure_input@,$configure_input,;t t
670 s,@srcdir@,$ac_srcdir,;t t
671 s,@abs_srcdir@,$ac_abs_srcdir,;t t
672 s,@top_srcdir@,$ac_top_srcdir,;t t
673 s,@abs_top_srcdir@,$ac_abs_top_srcdir,;t t
674 s,@builddir@,$ac_builddir,;t t
675 s,@abs_builddir@,$ac_abs_builddir,;t t
676 s,@top_builddir@,$ac_top_builddir,;t t
677 s,@abs_top_builddir@,$ac_abs_top_builddir,;t t
678 s,@INSTALL@,$ac_INSTALL,;t t
679 " $ac_file_inputs |
(eval "$ac_sed_cmds") >$tmp/out
681 if test x
"$ac_file" != x-
; then
691 # CONFIG_HEADER section.
694 # These sed commands are passed to sed as "A NAME B NAME C VALUE D", where
695 # NAME is the cpp macro being defined and VALUE is the value it is being given.
697 # ac_d sets the value in "#define NAME VALUE" lines.
698 ac_dA
='s,^\([ ]*\)#\([ ]*define[ ][ ]*\)'
702 # ac_u turns "#undef NAME" without trailing blanks into "#define NAME VALUE".
703 ac_uA
='s,^\([ ]*\)#\([ ]*\)undef\([ ][ ]*\)'
704 ac_uB
='$,\1#\2define\3'
708 for ac_file
in : $CONFIG_HEADERS; do test "x$ac_file" = x
: && continue
709 # Support "outfile[:infile[:infile...]]", defaulting infile="outfile.in".
711 - |
*:- |
*:-:* ) # input from stdin
713 ac_file_in
=`echo "$ac_file" | sed 's,[^:]*:,,'`
714 ac_file
=`echo "$ac_file" | sed 's,:.*,,'` ;;
715 *:* ) ac_file_in
=`echo "$ac_file" | sed 's,[^:]*:,,'`
716 ac_file
=`echo "$ac_file" | sed 's,:.*,,'` ;;
717 * ) ac_file_in
=$ac_file.
in ;;
720 test x
"$ac_file" != x-
&& { echo "$as_me:$LINENO: creating $ac_file" >&5
721 echo "$as_me: creating $ac_file" >&6;}
723 # First look for the input files in the build tree, otherwise in the
725 ac_file_inputs
=`IFS=:
726 for f in $ac_file_in; do
728 -) echo $tmp/stdin ;;
730 # Absolute (can't be DOS-style, as IFS=:)
731 test -f "$f" || { { echo "$as_me:$LINENO: error: cannot find input file: $f" >&5
732 echo "$as_me: error: cannot find input file: $f" >&2;}
733 { (exit 1); exit 1; }; }
736 if test -f "$f"; then
739 elif test -f "$srcdir/$f"; then
744 { { echo "$as_me:$LINENO: error: cannot find input file: $f" >&5
745 echo "$as_me: error: cannot find input file: $f" >&2;}
746 { (exit 1); exit 1; }; }
749 done` ||
{ (exit 1); exit 1; }
750 # Remove the trailing spaces.
751 sed 's/[ ]*$//' $ac_file_inputs >$tmp/in
753 # Handle all the #define templates only if necessary.
754 if egrep "^[ ]*#[ ]*define" $tmp/in >/dev
/null
; then
755 # If there are no defines, we may have an empty if/fi
757 cat >$tmp/defines.
sed <<CEOF
761 ${ac_dA}PACKAGE_NAME${ac_dB}PACKAGE_NAME${ac_dC}""${ac_dD}
762 ${ac_dA}PACKAGE_TARNAME${ac_dB}PACKAGE_TARNAME${ac_dC}""${ac_dD}
763 ${ac_dA}PACKAGE_VERSION${ac_dB}PACKAGE_VERSION${ac_dC}""${ac_dD}
764 ${ac_dA}PACKAGE_STRING${ac_dB}PACKAGE_STRING${ac_dC}""${ac_dD}
765 ${ac_dA}PACKAGE_BUGREPORT${ac_dB}PACKAGE_BUGREPORT${ac_dC}""${ac_dD}
766 ${ac_dA}PACKAGE${ac_dB}PACKAGE${ac_dC}"gamazons"${ac_dD}
767 ${ac_dA}VERSION${ac_dB}VERSION${ac_dC}"0.83rc3"${ac_dD}
768 ${ac_dA}STDC_HEADERS${ac_dB}STDC_HEADERS${ac_dC}1${ac_dD}
769 ${ac_dA}GETTEXT_PACKAGE${ac_dB}GETTEXT_PACKAGE${ac_dC}"gamazons"${ac_dD}
770 ${ac_dA}HAVE_SYS_TYPES_H${ac_dB}HAVE_SYS_TYPES_H${ac_dC}1${ac_dD}
771 ${ac_dA}HAVE_SYS_STAT_H${ac_dB}HAVE_SYS_STAT_H${ac_dC}1${ac_dD}
772 ${ac_dA}HAVE_STDLIB_H${ac_dB}HAVE_STDLIB_H${ac_dC}1${ac_dD}
773 ${ac_dA}HAVE_STRING_H${ac_dB}HAVE_STRING_H${ac_dC}1${ac_dD}
774 ${ac_dA}HAVE_MEMORY_H${ac_dB}HAVE_MEMORY_H${ac_dC}1${ac_dD}
775 ${ac_dA}HAVE_STRINGS_H${ac_dB}HAVE_STRINGS_H${ac_dC}1${ac_dD}
776 ${ac_dA}HAVE_INTTYPES_H${ac_dB}HAVE_INTTYPES_H${ac_dC}1${ac_dD}
777 ${ac_dA}HAVE_STDINT_H${ac_dB}HAVE_STDINT_H${ac_dC}1${ac_dD}
778 ${ac_dA}HAVE_UNISTD_H${ac_dB}HAVE_UNISTD_H${ac_dC}1${ac_dD}
779 ${ac_dA}HAVE_ALLOCA_H${ac_dB}HAVE_ALLOCA_H${ac_dC}1${ac_dD}
780 ${ac_dA}HAVE_ALLOCA${ac_dB}HAVE_ALLOCA${ac_dC}1${ac_dD}
781 ${ac_dA}HAVE_STDLIB_H${ac_dB}HAVE_STDLIB_H${ac_dC}1${ac_dD}
782 ${ac_dA}HAVE_UNISTD_H${ac_dB}HAVE_UNISTD_H${ac_dC}1${ac_dD}
783 ${ac_dA}HAVE_GETPAGESIZE${ac_dB}HAVE_GETPAGESIZE${ac_dC}1${ac_dD}
784 ${ac_dA}HAVE_MMAP${ac_dB}HAVE_MMAP${ac_dC}1${ac_dD}
785 ${ac_dA}HAVE_ARGZ_H${ac_dB}HAVE_ARGZ_H${ac_dC}1${ac_dD}
786 ${ac_dA}HAVE_LIMITS_H${ac_dB}HAVE_LIMITS_H${ac_dC}1${ac_dD}
787 ${ac_dA}HAVE_LOCALE_H${ac_dB}HAVE_LOCALE_H${ac_dC}1${ac_dD}
788 ${ac_dA}HAVE_NL_TYPES_H${ac_dB}HAVE_NL_TYPES_H${ac_dC}1${ac_dD}
789 ${ac_dA}HAVE_MALLOC_H${ac_dB}HAVE_MALLOC_H${ac_dC}1${ac_dD}
790 ${ac_dA}HAVE_STRING_H${ac_dB}HAVE_STRING_H${ac_dC}1${ac_dD}
791 ${ac_dA}HAVE_UNISTD_H${ac_dB}HAVE_UNISTD_H${ac_dC}1${ac_dD}
792 ${ac_dA}HAVE_SYS_PARAM_H${ac_dB}HAVE_SYS_PARAM_H${ac_dC}1${ac_dD}
793 ${ac_dA}HAVE_GETCWD${ac_dB}HAVE_GETCWD${ac_dC}1${ac_dD}
794 ${ac_dA}HAVE_MUNMAP${ac_dB}HAVE_MUNMAP${ac_dC}1${ac_dD}
795 ${ac_dA}HAVE_PUTENV${ac_dB}HAVE_PUTENV${ac_dC}1${ac_dD}
796 ${ac_dA}HAVE_SETENV${ac_dB}HAVE_SETENV${ac_dC}1${ac_dD}
797 ${ac_dA}HAVE_SETLOCALE${ac_dB}HAVE_SETLOCALE${ac_dC}1${ac_dD}
798 ${ac_dA}HAVE_STRCHR${ac_dB}HAVE_STRCHR${ac_dC}1${ac_dD}
800 sed -f $tmp/defines.
sed $tmp/in >$tmp/out
804 cat >$tmp/defines.
sed <<CEOF
808 ${ac_dA}HAVE_STRCASECMP${ac_dB}HAVE_STRCASECMP${ac_dC}1${ac_dD}
809 ${ac_dA}HAVE_STRDUP${ac_dB}HAVE_STRDUP${ac_dC}1${ac_dD}
810 ${ac_dA}HAVE___ARGZ_COUNT${ac_dB}HAVE___ARGZ_COUNT${ac_dC}1${ac_dD}
811 ${ac_dA}HAVE___ARGZ_STRINGIFY${ac_dB}HAVE___ARGZ_STRINGIFY${ac_dC}1${ac_dD}
812 ${ac_dA}HAVE___ARGZ_NEXT${ac_dB}HAVE___ARGZ_NEXT${ac_dC}1${ac_dD}
813 ${ac_dA}HAVE_LC_MESSAGES${ac_dB}HAVE_LC_MESSAGES${ac_dC}1${ac_dD}
814 ${ac_dA}HAVE_GETTEXT${ac_dB}HAVE_GETTEXT${ac_dC}1${ac_dD}
815 ${ac_dA}HAVE_DCGETTEXT${ac_dB}HAVE_DCGETTEXT${ac_dC}1${ac_dD}
816 ${ac_dA}ENABLE_NLS${ac_dB}ENABLE_NLS${ac_dC}1${ac_dD}
818 sed -f $tmp/defines.
sed $tmp/in >$tmp/out
824 # Handle all the #undef templates
825 cat >$tmp/undefs.
sed <<CEOF
829 ${ac_uA}PACKAGE_NAME${ac_uB}PACKAGE_NAME${ac_uC}""${ac_uD}
830 ${ac_uA}PACKAGE_TARNAME${ac_uB}PACKAGE_TARNAME${ac_uC}""${ac_uD}
831 ${ac_uA}PACKAGE_VERSION${ac_uB}PACKAGE_VERSION${ac_uC}""${ac_uD}
832 ${ac_uA}PACKAGE_STRING${ac_uB}PACKAGE_STRING${ac_uC}""${ac_uD}
833 ${ac_uA}PACKAGE_BUGREPORT${ac_uB}PACKAGE_BUGREPORT${ac_uC}""${ac_uD}
834 ${ac_uA}PACKAGE${ac_uB}PACKAGE${ac_uC}"gamazons"${ac_uD}
835 ${ac_uA}VERSION${ac_uB}VERSION${ac_uC}"0.83rc3"${ac_uD}
836 ${ac_uA}STDC_HEADERS${ac_uB}STDC_HEADERS${ac_uC}1${ac_uD}
837 ${ac_uA}GETTEXT_PACKAGE${ac_uB}GETTEXT_PACKAGE${ac_uC}"gamazons"${ac_uD}
838 ${ac_uA}HAVE_SYS_TYPES_H${ac_uB}HAVE_SYS_TYPES_H${ac_uC}1${ac_uD}
839 ${ac_uA}HAVE_SYS_STAT_H${ac_uB}HAVE_SYS_STAT_H${ac_uC}1${ac_uD}
840 ${ac_uA}HAVE_STDLIB_H${ac_uB}HAVE_STDLIB_H${ac_uC}1${ac_uD}
841 ${ac_uA}HAVE_STRING_H${ac_uB}HAVE_STRING_H${ac_uC}1${ac_uD}
842 ${ac_uA}HAVE_MEMORY_H${ac_uB}HAVE_MEMORY_H${ac_uC}1${ac_uD}
843 ${ac_uA}HAVE_STRINGS_H${ac_uB}HAVE_STRINGS_H${ac_uC}1${ac_uD}
844 ${ac_uA}HAVE_INTTYPES_H${ac_uB}HAVE_INTTYPES_H${ac_uC}1${ac_uD}
845 ${ac_uA}HAVE_STDINT_H${ac_uB}HAVE_STDINT_H${ac_uC}1${ac_uD}
846 ${ac_uA}HAVE_UNISTD_H${ac_uB}HAVE_UNISTD_H${ac_uC}1${ac_uD}
847 ${ac_uA}HAVE_ALLOCA_H${ac_uB}HAVE_ALLOCA_H${ac_uC}1${ac_uD}
848 ${ac_uA}HAVE_ALLOCA${ac_uB}HAVE_ALLOCA${ac_uC}1${ac_uD}
849 ${ac_uA}HAVE_STDLIB_H${ac_uB}HAVE_STDLIB_H${ac_uC}1${ac_uD}
850 ${ac_uA}HAVE_UNISTD_H${ac_uB}HAVE_UNISTD_H${ac_uC}1${ac_uD}
851 ${ac_uA}HAVE_GETPAGESIZE${ac_uB}HAVE_GETPAGESIZE${ac_uC}1${ac_uD}
852 ${ac_uA}HAVE_MMAP${ac_uB}HAVE_MMAP${ac_uC}1${ac_uD}
853 ${ac_uA}HAVE_ARGZ_H${ac_uB}HAVE_ARGZ_H${ac_uC}1${ac_uD}
854 ${ac_uA}HAVE_LIMITS_H${ac_uB}HAVE_LIMITS_H${ac_uC}1${ac_uD}
855 ${ac_uA}HAVE_LOCALE_H${ac_uB}HAVE_LOCALE_H${ac_uC}1${ac_uD}
856 ${ac_uA}HAVE_NL_TYPES_H${ac_uB}HAVE_NL_TYPES_H${ac_uC}1${ac_uD}
857 ${ac_uA}HAVE_MALLOC_H${ac_uB}HAVE_MALLOC_H${ac_uC}1${ac_uD}
858 ${ac_uA}HAVE_STRING_H${ac_uB}HAVE_STRING_H${ac_uC}1${ac_uD}
859 ${ac_uA}HAVE_UNISTD_H${ac_uB}HAVE_UNISTD_H${ac_uC}1${ac_uD}
860 ${ac_uA}HAVE_SYS_PARAM_H${ac_uB}HAVE_SYS_PARAM_H${ac_uC}1${ac_uD}
861 ${ac_uA}HAVE_GETCWD${ac_uB}HAVE_GETCWD${ac_uC}1${ac_uD}
862 ${ac_uA}HAVE_MUNMAP${ac_uB}HAVE_MUNMAP${ac_uC}1${ac_uD}
863 ${ac_uA}HAVE_PUTENV${ac_uB}HAVE_PUTENV${ac_uC}1${ac_uD}
864 ${ac_uA}HAVE_SETENV${ac_uB}HAVE_SETENV${ac_uC}1${ac_uD}
865 ${ac_uA}HAVE_SETLOCALE${ac_uB}HAVE_SETLOCALE${ac_uC}1${ac_uD}
866 ${ac_uA}HAVE_STRCHR${ac_uB}HAVE_STRCHR${ac_uC}1${ac_uD}
868 sed -f $tmp/undefs.
sed $tmp/in >$tmp/out
872 cat >$tmp/undefs.
sed <<CEOF
876 ${ac_uA}HAVE_STRCASECMP${ac_uB}HAVE_STRCASECMP${ac_uC}1${ac_uD}
877 ${ac_uA}HAVE_STRDUP${ac_uB}HAVE_STRDUP${ac_uC}1${ac_uD}
878 ${ac_uA}HAVE___ARGZ_COUNT${ac_uB}HAVE___ARGZ_COUNT${ac_uC}1${ac_uD}
879 ${ac_uA}HAVE___ARGZ_STRINGIFY${ac_uB}HAVE___ARGZ_STRINGIFY${ac_uC}1${ac_uD}
880 ${ac_uA}HAVE___ARGZ_NEXT${ac_uB}HAVE___ARGZ_NEXT${ac_uC}1${ac_uD}
881 ${ac_uA}HAVE_LC_MESSAGES${ac_uB}HAVE_LC_MESSAGES${ac_uC}1${ac_uD}
882 ${ac_uA}HAVE_GETTEXT${ac_uB}HAVE_GETTEXT${ac_uC}1${ac_uD}
883 ${ac_uA}HAVE_DCGETTEXT${ac_uB}HAVE_DCGETTEXT${ac_uC}1${ac_uD}
884 ${ac_uA}ENABLE_NLS${ac_uB}ENABLE_NLS${ac_uC}1${ac_uD}
885 s,^[ ]*#[ ]*undef[ ][ ]*[a-zA-Z_][a-zA-Z_0-9]*,/* & */,
887 sed -f $tmp/undefs.
sed $tmp/in >$tmp/out
891 # Let's still pretend it is `configure' which instantiates (i.e., don't
892 # use $as_me), people would be surprised to read:
893 # /* config.h. Generated by config.status. */
894 if test x
"$ac_file" = x-
; then
895 echo "/* Generated by configure. */" >$tmp/config.h
897 echo "/* $ac_file. Generated by configure. */" >$tmp/config.h
899 cat $tmp/in >>$tmp/config.h
901 if test x
"$ac_file" != x-
; then
902 if cmp -s $ac_file $tmp/config.h
2>/dev
/null
; then
903 { echo "$as_me:$LINENO: $ac_file is unchanged" >&5
904 echo "$as_me: $ac_file is unchanged" >&6;}
906 ac_dir
=`(dirname "$ac_file") 2>/dev/null ||
907 $as_expr X"$ac_file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
908 X"$ac_file" : 'X\(//\)[^/]' \| \
909 X"$ac_file" : 'X\(//\)$' \| \
910 X"$ac_file" : 'X\(/\)' \| \
911 . : '\(.\)' 2>/dev/null ||
913 sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
914 /^X\(\/\/\)[^/].*/{ s//\1/; q; }
915 /^X\(\/\/\)$/{ s//\1/; q; }
916 /^X\(\/\).*/{ s//\1/; q; }
919 [\\/]* | ?
:[\\/]* ) as_incr_dir
=;;
923 for as_mkdir_dir
in `IFS='/\\'; set X $as_dummy; shift; echo "$@"`; do
924 case $as_mkdir_dir in
926 ?
:) as_incr_dir
=$as_mkdir_dir ;;
928 as_incr_dir
=$as_incr_dir/$as_mkdir_dir
929 test -d "$as_incr_dir" ||
930 mkdir
"$as_incr_dir" ||
931 { { echo "$as_me:$LINENO: error: cannot create \"$ac_dir\"" >&5
932 echo "$as_me: error: cannot create \"$ac_dir\"" >&2;}
933 { (exit 1); exit 1; }; }
939 mv $tmp/config.h
$ac_file
948 # CONFIG_COMMANDS section.
950 for ac_file
in : $CONFIG_COMMANDS; do test "x$ac_file" = x
: && continue
951 ac_dest
=`echo "$ac_file" | sed 's,:.*,,'`
952 ac_source
=`echo "$ac_file" | sed 's,[^:]*:,,'`
953 ac_dir
=`(dirname "$ac_dest") 2>/dev/null ||
954 $as_expr X"$ac_dest" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
955 X"$ac_dest" : 'X\(//\)[^/]' \| \
956 X"$ac_dest" : 'X\(//\)$' \| \
957 X"$ac_dest" : 'X\(/\)' \| \
958 . : '\(.\)' 2>/dev/null ||
960 sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
961 /^X\(\/\/\)[^/].*/{ s//\1/; q; }
962 /^X\(\/\/\)$/{ s//\1/; q; }
963 /^X\(\/\).*/{ s//\1/; q; }
967 if test "$ac_dir" != .
; then
968 ac_dir_suffix
=/`echo "$ac_dir" | sed 's,^\.[\\/],,'`
969 # A "../" for each directory in $ac_dir_suffix.
970 ac_top_builddir
=`echo "$ac_dir_suffix" | sed 's,/[^\\/]*,../,g'`
972 ac_dir_suffix
= ac_top_builddir
=
976 .
) # No --srcdir option. We are building in place.
978 if test -z "$ac_top_builddir"; then
981 ac_top_srcdir
=`echo $ac_top_builddir | sed 's,/$,,'`
983 [\\/]* | ?
:[\\/]* ) # Absolute path.
984 ac_srcdir
=$srcdir$ac_dir_suffix;
985 ac_top_srcdir
=$srcdir ;;
987 ac_srcdir
=$ac_top_builddir$srcdir$ac_dir_suffix
988 ac_top_srcdir
=$ac_top_builddir$srcdir ;;
990 # Don't blindly perform a `cd "$ac_dir"/$ac_foo && pwd` since $ac_foo can be
992 ac_abs_builddir
=`cd "$ac_dir" && cd $ac_builddir && pwd`
993 ac_abs_top_builddir
=`cd "$ac_dir" && cd $ac_top_builddir && pwd`
994 ac_abs_srcdir
=`cd "$ac_dir" && cd $ac_srcdir && pwd`
995 ac_abs_top_srcdir
=`cd "$ac_dir" && cd $ac_top_srcdir && pwd`
998 { echo "$as_me:$LINENO: executing $ac_dest commands" >&5
999 echo "$as_me: executing $ac_dest commands" >&6;}
1001 default-1
) test -z "$CONFIG_HEADERS" ||
echo timestamp
> stamp-h
;;
1002 default-2
) case "$CONFIG_FILES" in *po
/Makefile.
in*)
1003 sed -e "/POTFILES =/r po/POTFILES" po
/Makefile.
in > po
/Makefile
1008 { (exit 0); exit 0; }